# 3D Secure authentication service API

This is an API reference for the 3D Secure authentication service.

Version: 1.0.0

## Servers

Production environment
```
https://api-services.pxp.io/api/v1
```

Sandbox environment
```
https://api-services.test.pxp.io/api/v1
```

## Download OpenAPI description

 - [3D Secure authentication service API](https://developer.pxp.io/_bundle/apis/three-d-secure-authentication.yaml)

## Standalone authentication

 - [POST /threedsecure/standalone/authentications](https://developer.pxp.io/apis/three-d-secure-authentication/standalone-authentication/pre-initiate-standalone-auth-request.md): Pre-initiates a stand-alone 3D Secure authentication request for a transaction. This endpoint is for merchants who use PXP's service solely for authentication purposes. The pre-initiation step gathers
 - [PUT /threedsecure/standalone/authentications/{authenticationId}/browser-authentication](https://developer.pxp.io/apis/three-d-secure-authentication/standalone-authentication/initiate-standalone-auth-request.md): Initiates a standalone 3D Secure authentication request for a transaction. This endpoint is for merchants who use PXP's service solely for authentication purposes. The process involves verifying the c
 - [GET /threedsecure/standalone/authentications/{authenticationId}](https://developer.pxp.io/apis/three-d-secure-authentication/standalone-authentication/retrieve-auth-by-id.md): This endpoint retrieves the details of a specific 3DS standalone authentication using the `authenticationId` provided in the path. The service is designed for retrieving authentication records that we
## Integrated authentication

 - [POST /threedsecure/integrated/authentications](https://developer.pxp.io/apis/three-d-secure-authentication/integrated-authentication/pre-initiate-integrated-auth-request.md): Pre-initiates an integrated 3D Secure authentication request for a transaction. In integrated mode, PXP processes the transaction in a separate initiate transaction request using the 3D Secure supplie
 - [PUT /threedsecure/integrated/authentications/{authenticationId}/browser-authentication](https://developer.pxp.io/apis/three-d-secure-authentication/integrated-authentication/initiate-integrated-auth-request.md): Authenticates an integrated 3D Secure transaction request. In integrated mode, PXP processes the transaction in conjunction with the 3D Secure authentication data. This ensures that the transaction is
 - [GET /threedsecure/integrated/authentications/{authenticationId}/assessment](https://developer.pxp.io/apis/three-d-secure-authentication/integrated-authentication/get-preinitiate-authentication-details.md): Retrieves the details of a specific 3DS pre-initiate authentication using the `authenticationId` provided in the path. **Note:** This endpoint is intended for use with the [Components SDKs](../../../g
 - [GET /threedsecure/integrated/authentications/{authenticationId}/outcome](https://developer.pxp.io/apis/three-d-secure-authentication/integrated-authentication/get-authentication-details.md): Retrieves the complete details of a specific 3DS authentication using the `authenticationId` provided in the path. **Note:** This endpoint is intended for use with the [Components SDKs](../../../guid
